%define dist .fc6

%define libgnomecanvas_version 2.0.0
%define gtk2_version 2.3.5
%define atk_version 1.7.0

Summary: Accessibility implementation for GTK+ and GNOME libraries
Name: gail
Version: 1.9.2
Release: 1%{?dist}.XOS.1
URL: http://developer.gnome.org/projects/gap
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: atk >= %{atk_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}

BuildRequires: libtool automake autoconf gettext
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: atk-devel >= %{atk_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and
GNOME libraries, enabling accessibility technologies such as at-spi to
access those GUIs.


%package devel
Summary: Files to compile applications that use GAIL
Group: Development/Libraries
Requires: %name = %{version}

Requires: gtk2-devel >= %{gtk2_version}
Requires: atk-devel >= %{atk_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: pkgconfig

%description devel
gail-devel contains the files required to compile applications against the GAIL libraries.

%prep
%setup -q

%build
%configure --disable-gtk-doc

make ##%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang gail

# Remove unpackaged files
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gail.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/gtk-2.0

%files devel
%defattr(-,root,root)

%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.9.2-1.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on gail-1.9.2-1.fc6.src.rpm
  (md5sum of original source rpm: bb01ff33c48f86ee9372f50912157405).
- Include "dist" macro with value ".fc6" to match the original release number.

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 1.9.2-1.fc6
- Update to 1.9.2
- Drop upstreamed patch
- Require pkgconfig in the -devel package

* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 1.9.1-1.fc6
- Update to 1.9.1

* Fri Jul 28 2006 Matthias Clasen <mclasen@redhat.com> - 1.9.0-2
- Fix removal of notebook tabs

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 1.9.0-1
- Update to 1.9.0

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.8.11-3.1
- rebuild

* Thu Jun  8 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.11-3
- Rebuild

* Mon May 22 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.11-2
- Make it build in mock

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.11-1
- Update to 1.8.11

* Fri Mar 10 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.10-2
- Fix a treeview crash

* Mon Feb 22 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.10-1
- Update to 1.8.10

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.9-1
- Update to 1.8.9

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.8.8-3.1
- bump again for double-long bug on ppc(64)

* Wed Feb  8 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.8-3
- Avoid crashing the gimp
- Use api docs from tarball

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.8.8-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> 1.8.8-1
- Update to 1.8.8
- Drop upstreamed patch

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 1.8.5-1
- Update to 1.8.5

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 1.8.4-2
- Rebuilt

* Tue Jun 28 2005 Matthias Clasen <mclasen@redhat.com> 1.8.4-1
- Update to 1.8.4

* Wed May 18 2005 Matthias Clasen <mclasen@redhat.com> 1.8.3-2
- Fix the tamil translations

* Tue Apr 12 2005 Matthias Clasen <mclasen@redhat.com> 1.8.3-1
- Update to 1.8.3

* Wed Mar 30 2005 Matthias Clasen <mclasen@redhat.com> 1.8.2-3
- Remove .la files

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 1.8.2-2
- Rebuild with gcc4 

* Wed Jan 26 2005 Matthias Clasen <mclasen@redhat.com> 1.8.2-1
- Update to 1.8.2

* Mon Oct 11 2004 Tim Waugh <twaugh@redhat.com> 1.8.0-2
- Build requires gtk-doc (bug #135037).

* Thu Sep 23 2004 Jonathan Blandford <jrb@redhat.com> 1.8.0-1
- new release

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 1.6.6-1
- Update to 1.6.6

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com>
- Update to 1.6.0

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 1.5.7-1
- Update to 1.5.7

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 1.5.6-1
- update to 2.5.6

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Alexander Larsson <alexl@redhat.com> 1.5.3-1
- update to 1.5.3

* Thu Oct  2 2003 Jonathan Blandford <jrb@redhat.com> 1.4.0-1
- update version

* Tue Aug 19 2003 Jonathan Blandford <jrb@redhat.com> 1.3.5-1
- new version for GNOME 2.4

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 1.2.2-2
- rebuild
- disable-gtk-doc

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1.2.2-1
- 1.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 1.2.0-1
- 1.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Alexander Larsson <alexl@redhat.com> 1.1.7-1
- Update to 1.1.7 (needed for gtkhtml)

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 0.17
- word-wrap the description
- move gtk modules to regular package not -devel
- include gtk-doc documentation

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- add hack to be sure libgailutil.so.15 isn't installed

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.16

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild to fix dependencies

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Jun  6 2002 Havoc Pennington <hp@redhat.com>
- put modules in the file list

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.15
- run ldconfig in post/postun

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild against new libs

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 0.13

* Fri Apr  5 2002 Jeremy Katz <katzj@redhat.com>
- 0.11

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.6
- Rebuild for dependencies

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- 0.5.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


